Index: /branches/dev_005_AWL/NEMO/TOP_SRC/PISCES/trcrst_pisces.F90
===================================================================
--- /branches/dev_005_AWL/NEMO/TOP_SRC/PISCES/trcrst_pisces.F90	(revision 1804)
+++ /branches/dev_005_AWL/NEMO/TOP_SRC/PISCES/trcrst_pisces.F90	(revision 1804)
@@ -0,0 +1,303 @@
+MODULE trcrst_pisces
+   !!======================================================================
+   !!                       ***  MODULE trcrst_pisces  ***
+   !! TOP :   create, write, read the restart files of PISCES tracer
+   !!======================================================================
+   !! History :   1.0  !  2010-01 (C. Ethe) Original
+   !!----------------------------------------------------------------------
+#if defined key_pisces
+   !!----------------------------------------------------------------------
+   !!   'key_pisces'                                               pisces tracers
+   !!----------------------------------------------------------------------
+   !!   trc_rst_read_pisces   : read  restart file
+   !!   trc_rst_wri_pisces    : write restart file
+   !!----------------------------------------------------------------------
+   USE oce_trc         ! Ocean variables
+   USE par_trc         ! TOP parameters
+   USE trc             ! TOP variables
+   USE trcsms_pisces          ! pisces sms trends
+   USE sms_pisces          ! pisces sms variables
+   USE in_out_manager  ! I/O manager
+   USE iom
+   USE trcdta
+
+   IMPLICIT NONE
+   PRIVATE
+
+   PUBLIC  trc_rst_read_pisces   ! called by trcini.F90 module
+   PUBLIC  trc_rst_wri_pisces   ! called by trcini.F90 module
+
+CONTAINS
+   
+   SUBROUTINE trc_rst_read_pisces( knum ) 
+      !!----------------------------------------------------------------------
+      !!                     ***  trc_rst_read_pisces  ***  
+      !!
+      !! ** Purpose : Read in restart file specific variables from pisces model
+      !!
+      !!----------------------------------------------------------------------
+      INTEGER, INTENT(in)  :: knum  ! unit of the restart file
+      INTEGER  ::  ji, jj, jk
+      REAL(wp) ::  zcaralk, zbicarb, zco3
+      REAL(wp) ::  ztmas, ztmas1
+      !!----------------------------------------------------------------------
+
+      !
+      IF( lk_dtatrc .AND. ln_pisclo ) CALL pis_dmp_clo  ! restoring of nutrients on close seas
+      IF( ln_pisdmp )                 CALL pis_dmp_ini  ! relaxation of some tracers
+      !
+      IF(lwp) WRITE(numout,*)
+      IF(lwp) WRITE(numout,*) ' trc_rst_read_pisces : Read specific variables from pisces model '
+      IF(lwp) WRITE(numout,*) ' ~~~~~~~~~~~~~~'
+      ! 
+      IF( iom_varid( knum, 'PH', ldstop = .FALSE. ) > 0 ) THEN
+         CALL iom_get( knum, jpdom_autoglo, 'PH' , hi(:,:,:)  )
+      ELSE
+         ! Set PH from  total alkalinity, borat (???), akb3 (???) and ak23 (???)
+         ! --------------------------------------------------------
+         DO jk = 1, jpk
+            DO jj = 1, jpj
+               DO ji = 1, jpi
+                  ztmas   = tmask(ji,jj,jk)
+                  ztmas1  = 1. - tmask(ji,jj,jk)
+                  zcaralk = trn(ji,jj,jk,jptal) - borat(ji,jj,jk) / (  1. + 1.E-8 / ( rtrn + akb3(ji,jj,jk) )  )
+                  zco3    = ( zcaralk - trn(ji,jj,jk,jpdic) ) * ztmas + 0.5e-3 * ztmas1
+                  zbicarb = ( 2. * trn(ji,jj,jk,jpdic) - zcaralk )
+                  hi(ji,jj,jk) = ( ak23(ji,jj,jk) * zbicarb / zco3 ) * ztmas + 1.e-9 * ztmas1
+               END DO
+            END DO
+         END DO
+      ENDIF
+      CALL iom_get( knum, jpdom_autoglo, 'Silicalim', xksi(:,:) ) 
+      IF( iom_varid( knum, 'Silicamax', ldstop = .FALSE. ) > 0 ) THEN
+         CALL iom_get( knum, jpdom_autoglo, 'Silicamax' , xksimax(:,:)  )
+      ELSE
+         xksimax(:,:) = xksi(:,:)
+      ENDIF
+
+   END SUBROUTINE trc_rst_read_pisces
+
+   SUBROUTINE trc_rst_wri_pisces( kt, kitrst, knum )
+      !!----------------------------------------------------------------------
+      !!                     ***  trc_rst_read_pisces  ***
+      !!
+      !! ** Purpose : Read in restart file specific variables from pisces model
+      !!
+      !!----------------------------------------------------------------------
+      INTEGER, INTENT(in)  :: kt      ! time step
+      INTEGER, INTENT(in)  :: kitrst  ! time step of restart write
+      INTEGER, INTENT(in)  :: knum    ! unit of the restart file
+      !!----------------------------------------------------------------------
+
+      IF(lwp) WRITE(numout,*)
+      IF(lwp) WRITE(numout,*) ' trc_rst_wri_pisces : Write specific variables from pisces model '
+      IF(lwp) WRITE(numout,*) ' ~~~~~~~~~~~~~~'
+
+      CALL iom_rstput( kt, kitrst, knum, 'PH', hi(:,:,:) )
+      CALL iom_rstput( kt, kitrst, knum, 'Silicalim', xksi(:,:) ) 
+      CALL iom_rstput( kt, kitrst, knum, 'Silicamax', xksimax(:,:) )
+
+   END SUBROUTINE trc_rst_wri_pisces
+
+   SUBROUTINE pis_dmp_ini
+      !!----------------------------------------------------------------------
+      !!                    ***  pis_dmp_ini  ***
+      !!
+      !! ** purpose  : Relaxation of some tracers
+      !!----------------------------------------------------------------------
+      INTEGER  :: ji, jj, jk
+      REAL(wp) ::  &
+         alkmean = 2426. ,  & ! mean value of alkalinity ( Glodap ; for Goyet 2391. )
+         po4mean = 2.165 ,  & ! mean value of phosphates
+         no3mean = 30.90 ,  & ! mean value of nitrate
+         silmean = 91.51      ! mean value of silicate
+
+      REAL(wp) :: zarea, zvol, zalksum, zpo4sum, zno3sum, zsilsum
+
+
+      IF(lwp)  WRITE(numout,*)
+
+      IF( cp_cfg == "orca" .AND. .NOT. lk_trc_c1d ) THEN      ! ORCA condiguration (not 1D) !
+         !                                                    ! --------------------------- !
+         ! set total alkalinity, phosphate, nitrate & silicate
+
+         zalksum = 0.e0
+         zpo4sum = 0.e0
+         zno3sum = 0.e0
+         zsilsum = 0.e0
+         DO jk = 1, jpk
+            DO jj = 1, jpj
+               DO ji = 1, jpi
+                  zvol = cvol(ji,jj,jk)
+#  if defined key_off_degrad
+                  zvol = zvol * facvol(ji,jj,jk)
+#  endif
+                  zalksum = zalksum + trn(ji,jj,jk,jptal) * zvol
+                  zpo4sum = zpo4sum + trn(ji,jj,jk,jppo4) * zvol
+                  zno3sum = zno3sum + trn(ji,jj,jk,jpno3) * zvol
+                  zsilsum = zsilsum + trn(ji,jj,jk,jpsil) * zvol
+               END DO
+            END DO
+         END DO
+         IF( lk_mpp )   CALL mpp_sum( zalksum )     ! sum over the global domain
+         IF( lk_mpp )   CALL mpp_sum( zpo4sum )     ! sum over the global domain
+         IF( lk_mpp )   CALL mpp_sum( zno3sum )     ! sum over the global domain
+         IF( lk_mpp )   CALL mpp_sum( zsilsum )     ! sum over the global domain
+         zarea   = 1. / areatot * 1.e6
+         zalksum = zalksum * zarea
+         zpo4sum = zpo4sum * zarea / 122.
+         zno3sum = zno3sum * zarea / 7.6
+         zsilsum = zsilsum * zarea
+
+         IF(lwp) WRITE(numout,*) '       TALK mean : ', zalksum
+         trn(:,:,:,jptal) = trn(:,:,:,jptal) * alkmean / zalksum
+            
+         IF(lwp) WRITE(numout,*) '       PO4  mean : ', zpo4sum
+         trn(:,:,:,jppo4) = trn(:,:,:,jppo4) * po4mean / zpo4sum
+
+         IF(lwp) WRITE(numout,*) '       NO3  mean : ', zno3sum
+         trn(:,:,:,jpno3) = trn(:,:,:,jpno3) * no3mean / zno3sum
+
+         IF(lwp) WRITE(numout,*) '       SiO3 mean : ', zsilsum
+         trn(:,:,:,jpsil) = MIN( 400.e-6,trn(:,:,:,jpsil) * silmean / zsilsum )
+         !
+      ENDIF
+
+!#if defined key_kriest
+!     !! Initialize number of particles from a standart restart file
+!     !! The name of big organic particles jpgoc has been only change
+!     !! and replace by jpnum but the values here are concentration
+!     trn(:,:,:,jppoc) = trn(:,:,:,jppoc) + trn(:,:,:,jpnum) 
+!     trn(:,:,:,jpnum) = trn(:,:,:,jppoc) / ( 6. * xkr_massp )
+!#endif
+
+   END SUBROUTINE pis_dmp_ini
+
+   SUBROUTINE pis_dmp_clo   
+      !!---------------------------------------------------------------------
+      !!                  ***  ROUTINE pis_dmp_clo  ***
+      !!
+      !! ** Purpose :   Closed sea domain initialization
+      !!
+      !! ** Method  :   if a closed sea is located only in a model grid point
+      !!                we restore to initial data
+      !!
+      !! ** Action  :   ictsi1(), ictsj1() : south-west closed sea limits (i,j)
+      !!                ictsi2(), ictsj2() : north-east Closed sea limits (i,j)
+      !!----------------------------------------------------------------------
+      INTEGER, PARAMETER           ::   npicts   = 4       !: number of closed sea
+      INTEGER, DIMENSION(npicts)   ::   ictsi1, ictsj1     !: south-west closed sea limits (i,j)
+      INTEGER, DIMENSION(npicts)   ::   ictsi2, ictsj2     !: north-east closed sea limits (i,j)
+      INTEGER :: ji, jj, jk, jn, jc            ! dummy loop indices
+      !!----------------------------------------------------------------------
+
+      IF(lwp) WRITE(numout,*) 
+      IF(lwp) WRITE(numout,*)' pis_dmp_clo : closed seas '
+      IF(lwp) WRITE(numout,*)'~~~~~~~'
+
+      ! initial values
+      ictsi1(:) = 1  ;  ictsi2(:) = 1
+      ictsj1(:) = 1  ;  ictsj2(:) = 1
+
+      ! set the closed seas (in data domain indices)
+      ! -------------------
+
+      IF( cp_cfg == "orca" ) THEN
+         !
+         SELECT CASE ( jp_cfg )
+         !                                           ! =======================
+         CASE ( 2 )                                  !  ORCA_R2 configuration
+            !                                        ! =======================
+            !                                            ! Caspian Sea
+            ictsi1(1)   =  11  ;  ictsj1(1)   = 103
+            ictsi2(1)   =  17  ;  ictsj2(1)   = 112
+            !                                            ! Great North American Lakes
+            ictsi1(2)   =  97  ;  ictsj1(2)   = 107
+            ictsi2(2)   = 103  ;  ictsj2(2)   = 111
+            !                                            ! Black Sea 1 : west part of the Black Sea
+            ictsi1(3)   = 174  ; ictsj1(3)   = 107
+            ictsi2(3)   = 181  ; ictsj2(3)   = 112
+            !                                            ! Black Sea 2 : est part of the Black Sea
+            ictsi1(4)   =   2  ;  ictsj1(4)   = 107
+            ictsi2(4)   =   6  ;  ictsj2(4)   = 112
+            !                                        ! =======================
+         CASE ( 4 )                                  !  ORCA_R4 configuration
+            !                                        ! =======================
+            !                                            ! Caspian Sea
+            ictsi1(1)   =  4  ;  ictsj1(1)   = 53
+            ictsi2(1)   =  4  ;  ictsj2(1)   = 56
+            !                                            ! Great North American Lakes
+            ictsi1(2)   = 49  ;  ictsj1(2)   = 55
+            ictsi2(2)   = 51  ;  ictsj2(2)   = 56
+            !                                            ! Black Sea
+            ictsi1(3)   = 88  ;  ictsj1(3)   = 55
+            ictsi2(3)   = 91  ;  ictsj2(3)   = 56
+            !                                            ! Baltic Sea
+            ictsi1(4)   = 75  ;  ictsj1(4)   = 59
+            ictsi2(4)   = 76  ;  ictsj2(4)   = 61
+            !                                        ! =======================
+            !                                        ! =======================
+         CASE ( 025 )                                ! ORCA_R025 configuration
+            !                                        ! =======================
+                                                     ! Caspian + Aral sea
+            ictsi1(1)   = 1330 ; ictsj1(1)   = 645
+            ictsi2(1)   = 1400 ; ictsj2(1)   = 795
+            !                                        ! Azov Sea
+            ictsi1(2)   = 1284 ; ictsj1(2)   = 722
+            ictsi2(2)   = 1304 ; ictsj2(2)   = 747
+            !
+         END SELECT
+         !
+      ENDIF
+
+      ! convert the position in local domain indices
+      ! --------------------------------------------
+      DO jc = 1, npicts
+         ictsi1(jc)   = mi0( ictsi1(jc) )
+         ictsj1(jc)   = mj0( ictsj1(jc) )
+
+         ictsi2(jc)   = mi1( ictsi2(jc) )
+         ictsj2(jc)   = mj1( ictsj2(jc) )
+      END DO
+
+#if defined key_dtatrc
+      ! Restore close seas values to initial data
+      nmonth = 1
+      nday   = 1
+      CALL trc_dta( nittrc000) 
+      DO jn = 1, jptra
+         IF( lutini(jn) ) THEN
+            DO jc = 1, npicts
+               DO jk = 1, jpkm1
+                  DO jj = ictsj1(jc), ictsj2(jc)
+                     DO ji = ictsi1(jc), ictsi2(jc)
+                        trn(ji,jj,jk,jn) = trdta(ji,jj,jk,jn) * tmask(ji,jj,jk) 
+                        trb(ji,jj,jk,jn) = trn(ji,jj,jk,jn)
+                     ENDDO
+                  ENDDO
+               ENDDO
+            ENDDO
+         ENDIF
+      ENDDO
+#endif
+   !
+   END SUBROUTINE pis_dmp_clo
+
+#else
+   !!----------------------------------------------------------------------
+   !!  Dummy module :                                     No passive tracer
+   !!----------------------------------------------------------------------
+CONTAINS
+   SUBROUTINE trc_rst_read_pisces( knum )
+      INTEGER, INTENT(in)  :: knum
+      WRITE(*,*) 'trc_rst_read_pisces: You should not have seen this print! error?', knum
+   END SUBROUTINE trc_rst_read_pisces
+
+   SUBROUTINE trc_rst_wri_pisces( kt, kitrst, knum )
+     INTEGER, INTENT(in)  :: kt, kitrst, knum
+     WRITE(*,*) 'trc_rst_wri_pisces: You should not have seen this print! error?', kt, kitrst, knum
+   END SUBROUTINE trc_rst_wri_pisces
+#endif
+
+   !!======================================================================
+END MODULE trcrst_pisces
Index: /branches/dev_005_AWL/NEMO/TOP_SRC/TRP/trctrp.F90
===================================================================
--- /branches/dev_005_AWL/NEMO/TOP_SRC/TRP/trctrp.F90	(revision 1803)
+++ /branches/dev_005_AWL/NEMO/TOP_SRC/TRP/trctrp.F90	(revision 1804)
@@ -53,5 +53,5 @@
 
    !! * Substitutions
-#  include "domzgr_substitute.h90"
+#  include "top_substitute.h90"
    !!----------------------------------------------------------------------
    !! NEMO/TOP 1.0 , LOCEAN-IPSL (2005) 
Index: /branches/dev_005_AWL/NEMO/TOP_SRC/TRP/trczdf_iso.F90
===================================================================
--- /branches/dev_005_AWL/NEMO/TOP_SRC/TRP/trczdf_iso.F90	(revision 1803)
+++ /branches/dev_005_AWL/NEMO/TOP_SRC/TRP/trczdf_iso.F90	(revision 1804)
@@ -182,6 +182,23 @@
 
 
-
-      DO jn = 1, jptra
+      ! 0.2 Update and save of avt (and avs if double diffusive mixing)
+      ! ---------------------------
+
+     DO jj = 2, jpjm1                                 !  Vertical slab
+        !                                             ! ===============
+         DO jk = 2, jpkm1
+            DO ji = 2, jpim1
+               zavi = fsahtw(ji,jj,jk)*( wslpi(ji,jj,jk)*wslpi(ji,jj,jk)   &
+                  &                     +wslpj(ji,jj,jk)*wslpj(ji,jj,jk) )
+               ! add isopycnal vertical coeff. to avs
+               fstravs(ji,jj,jk) = fstravs(ji,jj,jk) + zavi
+            END DO
+         END DO
+       !
+     END DO
+
+
+
+     DO jn = 1, jptra
 
          IF( l_trdtrc ) ztrtrd(:,:,:) = tra(:,:,:,jn)          ! save trends
@@ -262,19 +279,4 @@
             END DO
 
-
-            ! I.3  update and save of avt (and avs if double diffusive mixing)
-            ! ---------------------------
-
-            DO jk = 2, jpkm1
-               DO ji = 2, jpim1
-
-                  zavi = fsahtw(ji,jj,jk)*( wslpi(ji,jj,jk)*wslpi(ji,jj,jk)   &
-                     &                     +wslpj(ji,jj,jk)*wslpj(ji,jj,jk) )
-
-                  ! add isopycnal vertical coeff. to avs
-                  fstravs(ji,jj,jk) = fstravs(ji,jj,jk) + zavi
-
-               END DO
-            END DO
 
 #if defined key_trcldf_eiv
Index: /branches/dev_005_AWL/NEMO/TOP_SRC/trcdta.F90
===================================================================
--- /branches/dev_005_AWL/NEMO/TOP_SRC/trcdta.F90	(revision 1803)
+++ /branches/dev_005_AWL/NEMO/TOP_SRC/trcdta.F90	(revision 1804)
@@ -25,4 +25,5 @@
    PUBLIC trc_dta   ! called in trcini.F90 and trcdmp.F90
 
+   LOGICAL , PUBLIC, PARAMETER ::   lk_dtatrc = .TRUE.   !: temperature data flag
    REAL(wp), PUBLIC, DIMENSION(jpi,jpj,jpk,jptra) ::   trdta   !: tracer data at given time-step
 
@@ -62,5 +63,6 @@
       !!
       CHARACTER (len=39) ::   clname(jptra)
-      INTEGER, PARAMETER ::   jpmois  = 12        ! number of months
+      INTEGER, PARAMETER ::   &
+         jpmonth = 12    ! number of months
       INTEGER ::   ji, jj, jn, jl 
       INTEGER ::   imois, iman, i15, ik  ! temporary integers 
@@ -81,5 +83,5 @@
             ENDIF
             ! Initialization
-            iman = jpmois
+            iman = jpmonth
             i15  = nday / 16
             imois = nmonth + i15 -1
@@ -188,4 +190,5 @@
             ! Read init file only
             IF( kt == nittrc000  ) THEN
+               ntrc1(jn) = 1
                CALL iom_get ( numtr(jn), jpdom_data, ctrcnm(jn), trdta(:,:,:,jn), ntrc1(jn) )
                trdta(:,:,:,jn) = trdta(:,:,:,jn) * tmask(:,:,:)
@@ -204,4 +207,5 @@
    !!   Dummy module                              NO 3D passive tracer data
    !!----------------------------------------------------------------------
+   LOGICAL , PUBLIC, PARAMETER ::   lk_dtatrc = .FALSE.   !: temperature data flag
 CONTAINS
    SUBROUTINE trc_dta( kt )        ! Empty routine
Index: /branches/dev_005_AWL/NEMO/TOP_SRC/trcrst.F90
===================================================================
--- /branches/dev_005_AWL/NEMO/TOP_SRC/trcrst.F90	(revision 1803)
+++ /branches/dev_005_AWL/NEMO/TOP_SRC/trcrst.F90	(revision 1804)
@@ -1,10 +1,19 @@
 MODULE trcrst
    !!======================================================================
-   !!                       ***  MODULE trcrst  ***
-   !! TOP :   create, write, read the restart files for passive tracers
+   !!                         ***  MODULE trcrst  ***
+   !! TOP :   Manage the passive tracer restart
    !!======================================================================
-   !! History :   1.0  !  2007-02 (C. Ethe) adaptation from the ocean
+   !! History :    -   !  1991-03  ()  original code
+   !!             1.0  !  2005-03 (O. Aumont, A. El Moussaoui) F90
+   !!              -   !  2005-10 (C. Ethe) print control
+   !!             2.0  !  2005-10 (C. Ethe, G. Madec) revised architecture
    !!----------------------------------------------------------------------
 #if defined key_top
+   !!----------------------------------------------------------------------
+   !!   'key_top'                                                TOP models
+   !!----------------------------------------------------------------------
+   !!----------------------------------------------------------------------
+   !!   trc_rst :   Restart for passive tracer
+   !!----------------------------------------------------------------------
    !!----------------------------------------------------------------------
    !!   'key_top'                                                TOP models
@@ -16,22 +25,21 @@
    USE oce_trc
    USE trc
-   USE sms_lobster         ! LOBSTER variables
-   USE sms_pisces          ! PISCES variables
-   USE trcsms_cfc          ! CFC variables
-   USE trcsms_c14b         ! C14 variables
-   USE trcsms_my_trc       ! MY_TRC variables
-   USE trctrp_lec   
+   USE trctrp_lec
    USE lib_mpp
    USE iom
-   
+   USE trcrst_cfc      ! CFC      
+   USE trcrst_lobster  ! LOBSTER  restart
+   USE trcrst_pisces   ! PISCES   restart
+   USE trcrst_c14b     ! C14 bomb restart
+   USE trcrst_my_trc   ! MY_TRC   restart
+
    IMPLICIT NONE
    PRIVATE
-   
+
    PUBLIC   trc_rst_opn       ! called by ???
    PUBLIC   trc_rst_read      ! called by ???
    PUBLIC   trc_rst_wri       ! called by ???
-   
+
    INTEGER, PUBLIC ::   numrtr, numrtw   !: logical unit for trc restart (read and write)
-
 
    !! * Substitutions
@@ -89,6 +97,5 @@
    END SUBROUTINE trc_rst_opn
 
-
-   SUBROUTINE trc_rst_read 
+   SUBROUTINE trc_rst_read
       !!----------------------------------------------------------------------
       !!                    ***  trc_rst_opn  ***
@@ -96,14 +103,9 @@
       !! ** purpose  :   read passive tracer fields in restart files
       !!----------------------------------------------------------------------
-      INTEGER  ::  jn  
-      INTEGER  ::  iarak0
+      INTEGER  ::  jn     
+      INTEGER  ::  iarak0 
       REAL(wp) ::  zarak0
       INTEGER  ::  jlibalt = jprstlib
       LOGICAL  ::  llok
-#if defined key_pisces 
-      INTEGER  ::  ji, jj, jk
-      REAL(wp) ::  zcaralk, zbicarb, zco3
-      REAL(wp) ::  ztmas, ztmas1
-#endif
 
       !!----------------------------------------------------------------------
@@ -115,10 +117,10 @@
       IF ( jprstlib == jprstdimg ) THEN
         ! eventually read netcdf file (monobloc)  for restarting on different number of processors
-        ! if {cn_trcrst_in}.nc exists, then set jlibalt to jpnf90
+        ! if {cn_trcrst_in}.nc exists, then set jlibalt to jpnf90 
         INQUIRE( FILE = TRIM(cn_trcrst_in)//'.nc', EXIST = llok )
-        IF ( llok ) THEN ; jlibalt = jpnf90  ; ELSE ; jlibalt = jprstlib ; ENDIF
-      ENDIF
-      
-      CALL iom_open( cn_trcrst_in, numrtr, kiolib = jlibalt )
+        IF ( llok ) THEN ; jlibalt = jpnf90  ; ELSE ; jlibalt = jprstlib ; ENDIF 
+      ENDIF
+
+      CALL iom_open( cn_trcrst_in, numrtr, kiolib = jlibalt ) 
 
       ! Time domain : restart
@@ -136,65 +138,24 @@
          & ' centered or euler '  )
       IF(lwp) WRITE(numout,*)
-
       IF(lwp) WRITE(numout,*) '    arakawa option      : ', NINT( zarak0 )
 
-
       ! READ prognostic variables and computes diagnostic variable
       DO jn = 1, jptra
-         CALL iom_get( numrtr, jpdom_autoglo, 'TRN'//ctrcnm(jn), trn(:,:,:,jn) ) 
-      END DO
-
-      DO jn = 1, jptra
-         CALL iom_get( numrtr, jpdom_autoglo, 'TRB'//ctrcnm(jn), trb(:,:,:,jn) ) 
-      END DO
-
-#if defined key_lobster
-      CALL iom_get( numrtr, jpdom_autoglo, 'SEDB'//ctrcnm(jpdet), sedpocb(:,:) ) 
-      CALL iom_get( numrtr, jpdom_autoglo, 'SEDN'//ctrcnm(jpdet), sedpocn(:,:) ) 
-#endif
-#if defined key_pisces
-      !
-      IF( ln_pisdmp ) CALL pis_dmp_ini  ! relaxation of some tracers
-      !
-      IF( iom_varid( numrtr, 'PH', ldstop = .FALSE. ) > 0 ) THEN
-         CALL iom_get( numrtr, jpdom_autoglo, 'PH' , hi(:,:,:)  )
-      ELSE
-         ! Set PH from  total alkalinity, borat (???), akb3 (???) and ak23 (???)
-         ! --------------------------------------------------------
-         DO jk = 1, jpk
-            DO jj = 1, jpj
-               DO ji = 1, jpi
-                  ztmas   = tmask(ji,jj,jk)
-                  ztmas1  = 1. - tmask(ji,jj,jk)
-                  zcaralk = trn(ji,jj,jk,jptal) - borat(ji,jj,jk) / (  1. + 1.E-8 / ( rtrn + akb3(ji,jj,jk) )  )
-                  zco3    = ( zcaralk - trn(ji,jj,jk,jpdic) ) * ztmas + 0.5e-3 * ztmas1
-                  zbicarb = ( 2. * trn(ji,jj,jk,jpdic) - zcaralk )
-                  hi(ji,jj,jk) = ( ak23(ji,jj,jk) * zbicarb / zco3 ) * ztmas + 1.e-9 * ztmas1
-               END DO
-            END DO
-         END DO
-      ENDIF
-      CALL iom_get( numrtr, jpdom_autoglo, 'Silicalim', xksi(:,:) ) 
-      IF( iom_varid( numrtr, 'Silicamax', ldstop = .FALSE. ) > 0 ) THEN
-         CALL iom_get( numrtr, jpdom_autoglo, 'Silicamax' , xksimax(:,:)  )
-      ELSE
-         xksimax(:,:) = xksi(:,:)
-      ENDIF
-#endif
-#if defined key_cfc
-      DO jn = jp_cfc0, jp_cfc1
-         CALL iom_get( numrtr, jpdom_autoglo, 'qint_'//ctrcnm(jn), qint_cfc(:,:,jn) ) 
-      END DO
-#endif
-#if defined key_c14b
-      CALL iom_get( numrtr, jpdom_autoglo, 'qint_'//ctrcnm(jn) , qint_c14(:,:) ) 
-#endif
-#if defined key_my_trc
-#endif
-      
+         CALL iom_get( numrtr, jpdom_autoglo, 'TRN'//ctrcnm(jn), trn(:,:,:,jn) )
+      END DO
+
+      DO jn = 1, jptra
+         CALL iom_get( numrtr, jpdom_autoglo, 'TRB'//ctrcnm(jn), trb(:,:,:,jn) )
+      END DO
+
+      IF( lk_lobster )   CALL trc_rst_read_lobster( numrtr )      ! LOBSTER bio-model
+      IF( lk_pisces  )   CALL trc_rst_read_pisces ( numrtr )      ! PISCES  bio-model
+      IF( lk_cfc     )   CALL trc_rst_read_cfc    ( numrtr )      ! CFC     tracers
+      IF( lk_c14b    )   CALL trc_rst_read_c14b   ( numrtr )      ! C14 bomb  tracer
+      IF( lk_my_trc  )   CALL trc_rst_read_my_trc ( numrtr )      ! MY_TRC  tracers
+
       CALL iom_close( numrtr )
       !
    END SUBROUTINE trc_rst_read
-
 
    SUBROUTINE trc_rst_wri( kt )
@@ -218,6 +179,6 @@
       CALL iom_rstput( kt, nitrst, numrtw, 'arak0', zarak0 )
 
-      ! prognostic variables
-      ! --------------------
+      ! prognostic variables 
+      ! -------------------- 
       DO jn = 1, jptra
          CALL iom_rstput( kt, nitrst, numrtw, 'TRN'//ctrcnm(jn), trn(:,:,:,jn) )
@@ -228,24 +189,10 @@
       END DO
 
-#if defined key_lobster
-         CALL iom_rstput( kt, nitrst, numrtw, 'SEDB'//ctrcnm(jpdet), sedpocb(:,:) )
-         CALL iom_rstput( kt, nitrst, numrtw, 'SEDN'//ctrcnm(jpdet), sedpocn(:,:) )
-#endif
-#if defined key_pisces 
-         CALL iom_rstput( kt, nitrst, numrtw, 'PH', hi(:,:,:) )
-         CALL iom_rstput( kt, nitrst, numrtw, 'Silicalim', xksi(:,:) )
-         CALL iom_rstput( kt, nitrst, numrtw, 'Silicamax', xksimax(:,:) )
-#endif
-#if defined key_cfc
-         DO jn = jp_cfc0, jp_cfc1
-            CALL iom_rstput( kt, nitrst, numrtw, 'qint_'//ctrcnm(jn), qint_cfc(:,:,jn) )
-         END DO
-#endif
-#if defined key_c14b
-         CALL iom_rstput( kt, nitrst, numrtw, 'qint_'//ctrcnm(jn), qint_c14(:,:) )
-#endif
-#if defined key_my_trc
-#endif
-      
+      IF( lk_lobster )   CALL trc_rst_wri_lobster( kt, nitrst, numrtw )      ! LOBSTER bio-model
+      IF( lk_pisces  )   CALL trc_rst_wri_pisces ( kt, nitrst, numrtw )      ! PISCES  bio-model
+      IF( lk_cfc     )   CALL trc_rst_wri_cfc    ( kt, nitrst, numrtw )      ! CFC     tracers
+      IF( lk_c14b    )   CALL trc_rst_wri_c14b   ( kt, nitrst, numrtw )      ! C14 bomb  tracer
+      IF( lk_my_trc  )   CALL trc_rst_wri_my_trc ( kt, nitrst, numrtw )      ! MY_TRC  tracers
+
       IF( kt == nitrst ) THEN
           CALL trc_rst_stat            ! statistics
@@ -256,5 +203,6 @@
       ENDIF
       !
-   END SUBROUTINE trc_rst_wri
+   END SUBROUTINE trc_rst_wri 
+
 
    SUBROUTINE trc_rst_cal( kt, cdrw )
@@ -347,117 +295,4 @@
    END SUBROUTINE trc_rst_cal
 
-# if defined key_pisces 
-
-   SUBROUTINE pis_dmp_ini 
-      !!----------------------------------------------------------------------
-      !!                    ***  pis_dmp_ini  ***
-      !!
-      !! ** purpose  : Relaxation of some tracers
-      !!----------------------------------------------------------------------
-      INTEGER  :: ji, jj, jk  
-      REAL(wp) ::  &
-         alkmean = 2426. ,  & ! mean value of alkalinity ( Glodap ; for Goyet 2391. )
-         po4mean = 2.165 ,  & ! mean value of phosphates
-         no3mean = 30.90 ,  & ! mean value of nitrate
-         siomean = 91.51      ! mean value of silicate
-      
-      REAL(wp) ::   zvol, ztrasum
-
-
-      IF(lwp)  WRITE(numout,*)
-
-      IF( cp_cfg == "orca" .AND. .NOT. lk_trc_c1d ) THEN      ! ORCA condiguration (not 1D) !
-         !                                                    ! --------------------------- !
-         ! set total alkalinity, phosphate, NO3 & silicate
-
-         ! total alkalinity
-         ztrasum = 0.e0             
-         DO jk = 1, jpk
-            DO jj = 1, jpj
-               DO ji = 1, jpi
-                  zvol = cvol(ji,jj,jk)
-#  if defined key_off_degrad
-                  zvol = zvol * facvol(ji,jj,jk)
-#  endif
-                  ztrasum = ztrasum + trn(ji,jj,jk,jptal) * zvol
-               END DO
-            END DO
-         END DO
-         IF( lk_mpp )   CALL mpp_sum( ztrasum )     ! sum over the global domain  
-         
-         ztrasum = ztrasum / areatot * 1.e6
-         IF(lwp) WRITE(numout,*) '       TALK mean : ', ztrasum
-         trn(:,:,:,jptal) = trn(:,:,:,jptal) * alkmean / ztrasum
-            
-         ! phosphate
-         ztrasum = 0.e0
-         DO jk = 1, jpk
-            DO jj = 1, jpj
-               DO ji = 1, jpi
-                  zvol = cvol(ji,jj,jk)
-#  if defined key_off_degrad
-                  zvol = zvol * facvol(ji,jj,jk)
-#  endif
-                  ztrasum = ztrasum + trn(ji,jj,jk,jppo4) * zvol
-               END DO
-            END DO
-         END DO
-         IF( lk_mpp )   CALL mpp_sum( ztrasum )     ! sum over the global domain  
-         
-         ztrasum = ztrasum / areatot * 1.e6 / 122.
-         IF(lwp) WRITE(numout,*) '       PO4  mean : ', ztrasum
-         trn(:,:,:,jppo4) = trn(:,:,:,jppo4) * po4mean / ztrasum
-        
-         ! Nitrates          
-         ztrasum = 0.e0
-         DO jk = 1, jpk
-            DO jj = 1, jpj
-               DO ji = 1, jpi
-                  zvol = cvol(ji,jj,jk)
-#  if defined key_off_degrad
-                  zvol = zvol * facvol(ji,jj,jk)
-#  endif
-                  ztrasum = ztrasum + trn(ji,jj,jk,jpno3) * zvol
-               END DO
-            END DO
-         END DO
-         IF( lk_mpp )   CALL mpp_sum( ztrasum )     ! sum over the global domain  
-         
-         ztrasum = ztrasum / areatot * 1.e6 / 7.6
-         IF(lwp) WRITE(numout,*) '       NO3  mean : ', ztrasum
-         trn(:,:,:,jpno3) = trn(:,:,:,jpno3) * no3mean / ztrasum
-         
-         ! Silicate
-         ztrasum = 0.e0
-         DO jk = 1, jpk
-            DO jj = 1, jpj
-               DO ji = 1, jpi
-                  zvol = cvol(ji,jj,jk)
-#  if defined key_off_degrad
-                  zvol = zvol * facvol(ji,jj,jk)
-#  endif
-                  ztrasum = ztrasum + trn(ji,jj,jk,jpsil) * zvol
-               END DO
-            END DO
-         END DO
-         IF( lk_mpp )   CALL mpp_sum( ztrasum )     ! sum over the global domain  
-         ztrasum = ztrasum / areatot * 1.e6
-         IF(lwp) WRITE(numout,*) '       SiO3 mean : ', ztrasum
-         trn(:,:,:,jpsil) = MIN( 400.e-6,trn(:,:,:,jpsil) * siomean / ztrasum ) 
-         !
-      ENDIF
-
-!#if defined key_kriest
-!     !! Initialize number of particles from a standart restart file
-!     !! The name of big organic particles jpgoc has been only change
-!     !! and replace by jpnum but the values here are concentration
-!     trn(:,:,:,jppoc) = trn(:,:,:,jppoc) + trn(:,:,:,jpnum)
-!     trn(:,:,:,jpnum) = trn(:,:,:,jppoc) / ( 6. * xkr_massp )
-!#endif
-
-   END SUBROUTINE pis_dmp_ini
-
-#endif
-      !!----------------------------------------------------------------------
 
    SUBROUTINE trc_rst_stat
Index: /branches/dev_005_AWL/NVTK/INSTALL/CONFIG_FILES/BB_make.ldef_GYRE
===================================================================
--- /branches/dev_005_AWL/NVTK/INSTALL/CONFIG_FILES/BB_make.ldef_GYRE	(revision 1803)
+++ /branches/dev_005_AWL/NVTK/INSTALL/CONFIG_FILES/BB_make.ldef_GYRE	(revision 1804)
@@ -38,5 +38,5 @@
 #-Q- sx8mercure prefix = -D
 #-Q- sx8brodie prefix = -D
-#-Q- eshpux prefix = -D
+#-Q- es2 prefix = -D
 #-Q- sxdkrz prefix = -D
 #-Q- linux  prefix = -D
